require("@nomicfoundation/hardhat-toolbox");
require("dotenv").config();

/** @type import('hardhat/config').HardhatUserConfig */
module.exports = {
  solidity: "0.8.20",
  settings: {
    optimizer: {
      enabled: true,
      runs: 200,
    },
  },
  mocha: {
    timeout: 100000000,
  },
  networks: {
    mainnet: {
      url: "https://eth.llamarpc.com",
      accounts: [process.env.REAL_PK],
    },
    testnet: {
      url: "https://goerli.infura.io/v3/9aa3d95b3bc440fa88ea12eaa4456161",
      accounts: [process.env.TEST_PK],
    },
    hardhat: {
      forking: {
        url: "https://eth.llamarpc.com",
        enabled: true,
        blockNumber: 18750230,
        accounts: [process.env.REAL_PK],
      },
      chainId: 1,
      accounts: [
        {
          privateKey: process.env.REAL_PK,
          balance: "10000000000000000000000000000000",
        },
      ],
    },
  },
  etherscan: {
    apiKey: process.env.ETHERSCAN_KEY,
  },
};
