// We require the Hardhat Runtime Environment explicitly here. This is optional
// but useful for running the script in a standalone fashion through `node <script>`.
//
// You can also run a script with `npx hardhat run <script>`. If you do that, Hardhat
// will compile your contracts, add the Hardhat Runtime Environment's members to the
// global scope, and execute the script.
const hre = require("hardhat");
const { ethers } = require("hardhat");


async function main() {
  const proposalFactory = await ethers.getContractFactory("Proposal");
  const proposal = await proposalFactory.deploy();
  const deployedProposalAddr = await proposal.getAddress();
  console.log(`Proposal contract deployed by address ${deployedProposalAddr}, waiting for blockchain confirmations...`);

  tx = proposal.deploymentTransaction();
  await tx.wait(16);
  console.log("Deployment confirmed with 32 blocks, waiting for verification on Etherscan");

  await hre.run("verify:verify",
  {
    address: deployedProposalAddr,
    contract: "contracts/Proposal.sol:Proposal"
  });
}

// We recommend this pattern to be able to use async/await everywhere
// and properly handle errors.
main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});
